﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private clvData As CustomListView
	Private dd As DDD
	
	
	Private lblmem_no As B4XView
	Private lblmem_name As Label
	Private lblmem_password As B4XView
	Private lblmem_memo As B4XView
	Private lbledit As B4XView
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	'
	dd.Initialize
	xui.RegisterDesignerClass(dd)
	'
	clvData.Clear
	For u=0 To 9
		Dim mdata As Map
		mdata.Initialize
		mdata.Put("mem_no",u)
		mdata.Put("mem_name",u)
		mdata.Put("mem_password",u)
		mdata.Put("mem_memo",u)
		
		Dim p As B4XView = CreateCard(mdata)
		clvData.Add(p, mdata)
			
		Log("u= "&u)
	Next
	
End Sub
Sub CreateCard (Data As Map) As B4XView
	Dim p As B4XView = xui.CreatePanel("")
	Dim height As Int = 180dip
	#if B4A
	If GetDeviceLayoutValues.ApproximateScreenSize < 4.5 Then height = 310dip
	#end if
	p.SetLayoutAnimated(0, 0, 0, clvData.AsView.Width, height)
	p.LoadLayout("Card")
	lblmem_no.Text = Data.Get("mem_no")
	lblmem_name.Text = Data.Get("mem_name")
	lblmem_password.Text = Data.Get("mem_password")
	lblmem_memo.Text = Data.Get("mem_memo")
	'We store the map in the tag properties to pass it to B4XPreferencesDialog when editing or deleting
	'Almacenamos el mapa en la propiedad tag para pasarla a B4XPreferencesDialog al editar o borrar
	lbledit.Tag = Data
	'lblDelete.Tag = Data
	Return p
End Sub
'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	xui.MsgboxAsync("Hello world!", "B4X")
End Sub

Private Sub lbledit_Click
	Log("lblEdit_Click==>")
	
	Dim Index As Int = clvData.GetItemFromView(Sender)
	Dim pnl As B4XView = clvData.GetPanel(Index)
	Dim l As B4XView
	
	Try
		Dim l2 As B4XView = dd.GetViewByName(pnl, "lblmem_memo")
		Log("lblmem_memo.text= "&l2.Text )
	Catch
		Log(LastException)
	End Try

	Try
		Dim l3 As B4XView = dd.GetViewByName(pnl, "label1")
		Log("label1.text= "&l3.Text )
	Catch
		Log(LastException)
	End Try
	
	l = Sender
	Dim Item As Map
	Item.Initialize
	
	Item = l.Tag
	Log("mem_no= "&Item.Get("mem_no"))
	
	
End Sub